Bug 218572 - Puplet right-click -> refresh does not work
Summary: Puplet right-click -> refresh does not work
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: pirut   
(Show other bugs)
Version: 6
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-12-06 03:58 UTC by Bernard Johnson
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-10 19:16:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot of bad behaviour (42.10 KB, image/png)
2007-01-11 13:04 UTC, Hal Canary
no flags Details

Description Bernard Johnson 2006-12-06 03:58:07 UTC
Description of problem:
Puplet refresh does not work.

Version-Release number of selected component (if applicable):
pirut-1.2.8-1.fc6

How reproducible:
Always

Steps to Reproduce:
1.  Let system run without logging out.
2.  Wait until updates are available.
3.  Right-click -> refresh puplet.  Watch it tell you nothing is new.
4.  Run "yum update".  Notice that there are things that are new.

I've notice upon reboot when I log back in, I tend to be notified of new packages.
  
Actual results:
Puplet does not refresh.

Expected results:
New packages found.

Additional info:

Comment 1 Jeremy Katz 2006-12-06 16:10:00 UTC
Can you try stopping the yum-updatesd service, and then running it from a
terminal as root with:
  /usr/sbin/yum-updatesd --no-fork

And then see if there are any errors when you refresh?

Comment 2 Bernard Johnson 2006-12-06 20:14:23 UTC
No, there are no errors.

When I turned on my computer today, it said there were 3 package updates
available.  I stopped yum-updatesd and ran it from a terminal as you suggested.
 A refresh showed that there were still 3 packages available.  No errors were
reported in the terminal.

A "yum update" from another terminal revealed that there were 12 packages
available for update.

A refresh of Puplet show 3 packages available.





Comment 3 Bernard Johnson 2006-12-06 20:18:42 UTC
I also tried killing Puplet and restarting it and it still reports 3 packages.

Comment 4 Hal Canary 2007-01-11 13:04:20 UTC
Created attachment 145337 [details]
screenshot of bad behaviour

Exiting Puplet and restarting it still shows that I have no updates.  Running
Pup shows that I have 10 updates.

$ rpm -qf `which puplet`
pirut-1.2.8-1.fc6

Comment 5 Jeremy Katz 2007-08-10 19:16:32 UTC
With updated yum-updatesd and pirut packages currently in rawhide, the behavior
is far more solid.  The set will be pushed back as an F7 update soon


Note You need to log in before you can comment on or make changes to this bug.